# $Revision: 1.16 $, $Date: 2002/07/23 21:28:41 $
Summary:	An HTTP and WebDAV client library
Summary(pl):	Biblioteka kliencka HTTP i WebDAV
Name:		neon
Version:	0.21.3
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://www.webdav.org/neon/%{name}-%{version}.tar.gz
URL:		http://www.webdav.org/neon/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
neon is an HTTP and WebDAV client library, with a C interface.
Featuring:
 - High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD etc)
 - Low-level interface to HTTP request handling, to allow implementing
   new methods easily.
 - HTTP/1.1 and HTTP/1.0 persistent connections
 - RFC2617 basic and digest authentication (including auth-int,
   md5-sess)
 - Proxy support (including basic/digest authentication)
 - Generic WebDAV 207 XML response handling mechanism
 - XML parsing using the expat or libxml parsers
 - Easy generation of error messages from 207 error responses
 - WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
 - WebDAV metadata support: set and remove properties, query any set of
   properties (PROPPATCH/PROPFIND).

%description -l pl
neon to biblioteka kliencka HTTP i WebDAV z interfejsem w C.
Moliwoci:
 - wysokopoziomowy interfejs do metod HTTP i WebDAV (PUT, GET, HEAD...)
 - niskopziomowy interfejs to obsugi da HTTP pozwalajcy atwo
   implementowa nowe metody
 - stae poczenia HTTP/1.1 i HTTP/1.0
 - autentykacja podstawowa i skrtem RFC-2617 (auth-int, md5-sess...)
 - obsuga proxy (w tym autentykacja podstawowa i skrtem)
 - mechanizm obsugi odpowiedzi WebDAV 207 XML
 - parsowanie XML przy momocy expat lub libxml
 - proste generowanie komunikatw bdw dla odpowiedzi 207
 - manipulowanie zasobami WebDAV: MOVE, COPY, DELETE, MKCOL
 - obsuga metadanych WebDAV: ustawianie i usuwanie atrybutw,
   sprawdzanie dowolnego zbioru atrybutw (PROPPATCH/PROPFIND).

%package devel
Summary:	Header files for neon
Summary(pl):	Pliki nagwkowe neon
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
C header files for the neon library.

%description devel -l pl
Pliki nagwkowe dla biblioteki neon.

%package static
Summary:	Static libraries for neon
Summary(pl):	Biblioteki statyczne neon
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static neon libraries.

%description static -l pl
Statyczne biblioteki neon.

%prep
%setup -q

%build
aclocal -I macros
%{__autoconf}
%configure \
	--with-ssl \
	--enable-shared \
	--with-libxml2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix},%{_mandir}/man1,%{_mandir}/man3}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

mv -f doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
mv -f doc/man/*.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO doc/*.txt doc/html/*
%attr(755,root,root) %{_bindir}/neon-config
%attr(755,root,root) %{_libdir}/*.so.*.*
%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/neon
%{_includedir}/neon/*
%attr(755,root,root) %{_libdir}/*.la
%attr(755,root,root) %{_libdir}/*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: neon.spec,v $
Revision 1.16  2002/07/23 21:28:41  mmazur
- updated to 0.21.3
- STBR

Revision 1.15  2002/05/28 08:11:24  qboosh
- removed .so and soname symlinks from base; new %%doc; release 2

Revision 1.14  2002/05/21 23:14:13  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/04/25 11:10:06  misiek
- updated to 0.19.4

Revision 1.12  2002/04/12 10:23:28  malekith
- added no-usr-include patch that makes build possible with gcc31
- regenerate configure (br: automake & autoconf >= 2.53)

Revision 1.11  2002/04/08 17:56:38  misiek
- updated to 0.19.3

Revision 1.10  2002/02/23 04:05:38  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/14 23:47:00  blues
- release 2 (it builds now)
- simplified instalation
- added mans instalation
- more docs

Revision 1.6  2001/12/16 00:33:59  kloczek
- updated to 0.18.1 (bug fix release).

Revision 1.5  2001/12/07 11:03:26  kloczek
- updated to 0.18.0 (manu bugfixes and some API clarifications).

Revision 1.4  2001/12/07 09:20:44  kloczek
- cosmetics.

Revision 1.3  2001/12/06 23:17:14  blues
- release 2
- DESTDIR patch added
- configure macro used
- force using libxml2
- cosmetic in docs

Revision 1.2  2001/12/06 15:56:52  qboosh
- pl description, separated -static, fixed post/postun

Revision 1.1  2001/11/14 00:45:47  serek
- neu im sklep. ready for builders, i suppose.

* Mon Oct 08 2001 Matt Hyclak <mrh@ling.ohio-state.edu>
- Updated to neon 0.17.1

* Mon Jul 23 2001 Dan Berger <dberger@ix.netcom.com>
- Sepperated into neon and neon-devel packages, cleaned up .spec file

* Mon Jul 02 2001 Matt Hyclak <mrh@ling.ohio-state.edu>
- Updated to neon 0.15.3

* Fri Jun 15 2001 Matt Hyclak <mrh@ling.ohio-state.edu>
- Updated to neon 0.15.1

* Wed Jun 06 2001 Matt Hyclak <mrh@ling.ohio-state.edu>
- Created .spec and built first RPM based on 0.15.0
